summaryrefslogtreecommitdiff
path: root/po
diff options
context:
space:
mode:
authorFélix Piédallu <felix@piedallu.me>2020-02-20 14:55:17 +0100
committerBastien Nocera <hadess@hadess.net>2020-02-20 17:59:36 +0100
commit515a8db53586b05960bf48234663ea5d9818136f (patch)
tree591eb99ac5e35ff8ab1bf98cbda8df97a9653ffb /po
parenta1e4ea7992251ebd7e20fc550c5c96df9696f245 (diff)
downloadshared-mime-info-515a8db53586b05960bf48234663ea5d9818136f.tar.gz
build: Add script to check translations in po/LINGUAS
Replaces the shell in Makefile.am
Diffstat (limited to 'po')
-rwxr-xr-xpo/check_translations.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/po/check_translations.sh b/po/check_translations.sh
new file mode 100755
index 00000000..76562cb2
--- /dev/null
+++ b/po/check_translations.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+# Go to po directory
+cd "$(dirname "${0}")" || exit 1
+
+RET=0
+
+for i in *.po; do
+ lang="$(basename "${i}" | sed 's,.po,,')"
+ if ! grep -q ^"${lang}" "LINGUAS"; then
+ echo "*** Language ${lang} is missing from LINGUAS ***"
+ RET=1
+ fi
+done
+
+exit "${RET}"